summaryrefslogtreecommitdiff
path: root/dev-python/python-hpilo/python-hpilo-4.1.ebuild
diff options
context:
space:
mode:
authorNicolas Bock <nicolasbock@gentoo.org>2018-02-20 11:36:19 -0700
committerNicolas Bock <nicolasbock@gentoo.org>2018-02-20 11:39:26 -0700
commitfb2fbb15e71479ceb29f41694e40f63768533884 (patch)
tree6fede36491322b55c31e9daa2f9902e60265a74b /dev-python/python-hpilo/python-hpilo-4.1.ebuild
parent17ca3c97e32393e5124860b561ec6c830e30adb4 (diff)
downloadgentoo-fb2fbb15e71479ceb29f41694e40f63768533884.tar.gz
gentoo-fb2fbb15e71479ceb29f41694e40f63768533884.tar.bz2
gentoo-fb2fbb15e71479ceb29f41694e40f63768533884.zip
dev-python/python-hpilo: Version bump to 4.1
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'dev-python/python-hpilo/python-hpilo-4.1.ebuild')
-rw-r--r--dev-python/python-hpilo/python-hpilo-4.1.ebuild21
1 files changed, 21 insertions, 0 deletions
diff --git a/dev-python/python-hpilo/python-hpilo-4.1.ebuild b/dev-python/python-hpilo/python-hpilo-4.1.ebuild
new file mode 100644
index 0000000000000..a291d1ad427b8
--- /dev/null
+++ b/dev-python/python-hpilo/python-hpilo-4.1.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="iLO automation from python or shell"
+HOMEPAGE="https://pypi.python.org/pypi/python-hpilo"
+SRC_URI="https://github.com/seveas/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+python_test() {
+ ${EPYTHON} -m unittest discover || die
+}